.wrap p {
    position: absolute;
    font: .8em sans-serif;
    top: 50%;
    left: 20px;
    margin: 0 auto;
    color: #000;
    -webkit-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    -o-transform: translateY(-50%);
    transform: translateY(-50%);
    letter-spacing: 1px;
  }
  
  .wrap {
    position: relative;
    max-width: 600px;
    height: 30px;
    margin: 25px auto;
    padding: 0;
    background: #fff;
    border-radius: 5px;
    -webkit-transition: .5s ease;
    -moz-transition: .5s ease;
    -o-transition: .5s ease;
    transition: .5s .15s ease;
  }
  
  .bar {
    height: 30px;
    border-radius: 5px;
    transition: .25s ease;
  }
  
  .wrap:hover .bar {
    background: rgba(255,255,255, 1);
    cursor: pointer;
  }
  
  .wrap:hover {
    background: #fff;
  }
  
  .html {
    width: 90%;
    background: steelblue;
    -webkit-animation: html 2.5s;
    -moz-animation: html 2.5s;
    -o-animation: html 2.5s;
    animation: html 2.5s;
  }
  
  .css {
    width: 85%;
    background: gold;
    -webkit-animation: css 2s;
    -moz-animation: css 2s;
    -o-animation: css 2s;
    animation: css 2s;
  }
  
  .php {
    width: 80%;
    background: #F1C;
    -webkit-animation: php 2.1s;
    -moz-animation: php 2.1s;
    -o-animation: php 2.1s;
    animation: php 2.1s;
    
  }
  
  .js{
    width: 45%;
    background: crimson;
    -webkit-animation: js 1.8s;
    -moz-animation: js 1.8s;
    -o-animation: js 1.8s;
    animation: js 1.8s;
  }
  
  .python{
    width: 82%;
    background: limegreen;
    -webkit-animation: python 2.9s;
    -moz-animation: python 2.9s;
    -o-animation: python 2.9s;
    animation: python 2.9s;
  }
  
  .wrap span {
    display: block;
    float: right;
    padding-right: 15px;
    color: #222;
    line-height: 30px;
    -webkit-animation: span 2s 1.7s forwards;
    -moz-animation: span 2s 1.7s forwards;
    -o-animation: span 2s 1.7s forwards;
    animation: span 2s 1.7s forwards;
    opacity: 0;
  }
  
  .descr {
    display: none;
    box-sizing: border-box;
    padding: 10px;
    max-width: 600px;
    background: #fff;
    border-radius: 10px;
    margin: 0 auto;
  }
  
  .descr p {
    color: black;
    opacity: 0.8;
    margin: 0 auto;
  }

  /* Stil für das Dark-Theme */
  @media (prefers-color-scheme: dark) {
    .descr {
      background: #202020;
    }
    
    .descr p {
      color: white;
    }

    .wrap {
      background: #444;
    }
    
    .wrap:hover {
      background: #555;
    }
  }
  
  /* Keyframes
  -------------------- */
  
  
  /* html
  --------- */
  @-webkit-keyframes html {
    from { width:  0%; }
    to   { width: 90%; }
  }
  @-moz-keyframes html {
    from { width:  0%; }
    to   { width: 90%; }
  }
  @-o-keyframes html {
    from { width:  0%; } 
    to { width:   90%; }
  }
  @keyframes html {
    from { width:  0%; } 
    to { width:   90%; }
  }
  
  /* css
  --------- */
  @-webkit-keyframes css {
    from { width:  0%; }
    to   { width: 85%; }
  }
  @-moz-keyframes css {
    from { width:  0%; }
    to   { width: 85%; }
  }
  @-o-keyframes css {
    from { width:  0%; }
    to   { width: 85%; }
  }
  @keyframes css {
    from { width:  0%; }
    to   { width: 85%; }
  }
  
  /* php
  --------- */
  @-webkit-keyframes php {
    from { width:  0%; }
    to   { width: 80%; }
  }
  @-moz-keyframes php {
    from { width:  0%; }
    to   { width: 80%; }
  }
  @-o-keyframes php {
    from { width:  0%; }
    to   { width: 80%; }
  }
  @keyframes php {
    from { width:  0%; }
    to   { width: 80%; }
  }
  
  /* js
  --------- */
  @-webkit-keyframes js {
    from { width:  0%; }
    to   { width: 45%; }
  }
  @-moz-keyframes js {
    from { width:  0%; }
    to   { width: 45%; }
  }
  @-o-keyframes js {
    from { width:  0%; }
    to   { width: 45%; }
  }
  @keyframes js {
    from { width:  0%; }
    to   { width: 45%; }
  }
  
  /* python
  --------- */
  @-webkit-keyframes python{
    from { width:  0%; }
    to   { width: 82%; }
  }
  @-moz-keyframes python{
    from { width:  0%; }
    to   { width: 82%; }
  }
  @-o-keyframes python{
    from { width:  0%; }
    to   { width: 82%; }
  }
  @keyframes python{
    from { width:  0%; }
    to   { width: 82%; }
  }
  
  
  @-webkit-keyframes span {
    from { opacity: 0; }
    to   { opacity: 1; }
  }
  @-moz-keyframes span {
    from { opacity: 0; }
    to   { opacity: 1; }
  }
  @-o-keyframes span {
    from { opacity: 0; }
    to   { opacity: 1; }
  }
  @keyframes span {
    from { opacity: 0; }
    to   { opacity: 1; }
  }